[trunk] -> [extra] 'wpewebkit-2.32.1-1' add
packagesW/wpewebkit/pipeline/head This commit looks good Details

master
Nathan Owens 2 years ago
parent 0a10a85f3c
commit bd739dd0ae

@ -1,8 +1,8 @@
# Maintainer: Jan Alexander Steffens (heftig) <heftig@archlinux.org>
pkgname=wpewebkit
pkgver=2.32.0
pkgrel=2
pkgver=2.32.1
pkgrel=1
pkgdesc="Web content engine for embedded devices"
url="https://wpewebkit.org"
arch=(x86_64)
@ -18,19 +18,14 @@ optdepends=('geoclue: Geolocation support'
'gst-plugins-good: media decoding'
'gst-plugins-bad: media decoding'
'gst-libav: nonfree media decoding')
source=($url/releases/$pkgname-$pkgver.tar.xz{,.asc}
unhide-deprecated-api.patch)
sha256sums=('6cfb18af9a180eeffffcaf34fea68d867ee59f633d811ced92bbead2d184b6ea'
'SKIP'
'48ee7bee0b50776c8153c20b96854bd5086e0a7d04e621fd57ea7fc6c690c3a2')
source=($url/releases/$pkgname-$pkgver.tar.xz{,.asc})
sha256sums=('7b6b39a12ccf3f84da4cc6ac59e02fbe328f7476eaeb9c23de9b9288c2c2f39c'
'SKIP')
validpgpkeys=('D7FCF61CF9A2DEAB31D81BD3F3D322D0EC4582C3' # Carlos Garcia Campos <cgarcia@igalia.com>
'5AA3BC334FD7E3369E7C77B291C559DBE4C9123B') # Adrián Pérez de Castro <aperez@igalia.com>
prepare() {
cd $pkgname-$pkgver
# Use deprecated API for ubrk_safeClone until ICU 69 is officially supported
patch -Np1 -i ../unhide-deprecated-api.patch
}
build() {

@ -1,12 +0,0 @@
diff --git a/Source/WTF/wtf/Platform.h b/Source/WTF/wtf/Platform.h
index 6fa104c82992..8c8640c3dee7 100644
--- a/Source/WTF/wtf/Platform.h
+++ b/Source/WTF/wtf/Platform.h
@@ -113,7 +113,6 @@
/* FIXME: This does not belong in Platform.h and should instead be included in another mechanism (compiler option, prefix header, config.h, etc) */
/* ICU configuration. Some of these match ICU defaults on some platforms, but we would like them consistently set everywhere we build WebKit. */
-#define U_HIDE_DEPRECATED_API 1
#define U_SHOW_CPLUSPLUS_API 0
#ifdef __cplusplus
#define UCHAR_TYPE char16_t

@ -1,8 +1,8 @@
# Maintainer: Jan Alexander Steffens (heftig) <heftig@archlinux.org>
pkgname=wpewebkit
pkgver=2.32.0
pkgrel=2
pkgver=2.32.1
pkgrel=1
pkgdesc="Web content engine for embedded devices"
url="https://wpewebkit.org"
arch=(x86_64)
@ -18,19 +18,14 @@ optdepends=('geoclue: Geolocation support'
'gst-plugins-good: media decoding'
'gst-plugins-bad: media decoding'
'gst-libav: nonfree media decoding')
source=($url/releases/$pkgname-$pkgver.tar.xz{,.asc}
unhide-deprecated-api.patch)
sha256sums=('6cfb18af9a180eeffffcaf34fea68d867ee59f633d811ced92bbead2d184b6ea'
'SKIP'
'48ee7bee0b50776c8153c20b96854bd5086e0a7d04e621fd57ea7fc6c690c3a2')
source=($url/releases/$pkgname-$pkgver.tar.xz{,.asc})
sha256sums=('7b6b39a12ccf3f84da4cc6ac59e02fbe328f7476eaeb9c23de9b9288c2c2f39c'
'SKIP')
validpgpkeys=('D7FCF61CF9A2DEAB31D81BD3F3D322D0EC4582C3' # Carlos Garcia Campos <cgarcia@igalia.com>
'5AA3BC334FD7E3369E7C77B291C559DBE4C9123B') # Adrián Pérez de Castro <aperez@igalia.com>
prepare() {
cd $pkgname-$pkgver
# Use deprecated API for ubrk_safeClone until ICU 69 is officially supported
patch -Np1 -i ../unhide-deprecated-api.patch
}
build() {

@ -1,12 +0,0 @@
diff --git a/Source/WTF/wtf/Platform.h b/Source/WTF/wtf/Platform.h
index 6fa104c82992..8c8640c3dee7 100644
--- a/Source/WTF/wtf/Platform.h
+++ b/Source/WTF/wtf/Platform.h
@@ -113,7 +113,6 @@
/* FIXME: This does not belong in Platform.h and should instead be included in another mechanism (compiler option, prefix header, config.h, etc) */
/* ICU configuration. Some of these match ICU defaults on some platforms, but we would like them consistently set everywhere we build WebKit. */
-#define U_HIDE_DEPRECATED_API 1
#define U_SHOW_CPLUSPLUS_API 0
#ifdef __cplusplus
#define UCHAR_TYPE char16_t
Loading…
Cancel
Save